Skip to main content
POST
/
v1
/
client-tokens
Mint a bounded client token
curl --request POST \
  --url https://api.revdesk.com/v1/client-tokens \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from_numbers": [
    "<string>"
  ],
  "to_numbers": [
    "<string>"
  ],
  "scopes": [],
  "ttl_seconds": 1830
}
'
{
  "data": {
    "token": "<string>",
    "expires_in": 123,
    "from_numbers": [
      "<string>"
    ],
    "to_numbers": [
      "<string>"
    ],
    "scopes": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.

Body

application/json
from_numbers
string[]
required
Required array length: 1 - 50 elements
Pattern: ^\+[1-9]\d{1,14}$
to_numbers
string[]
Maximum array length: 200
Pattern: ^\+[1-9]\d{1,14}$
scopes
enum<string>[]
Available options:
account:read,
voice:read,
voice:write,
voice:webrtc,
calls:read,
calls:write,
agents:read,
agents:write,
phone_numbers:read,
phone_numbers:write,
sms:read,
sms:write,
caller_trust:read,
caller_trust:write,
brand:read,
brand:write,
sub_entities:read,
sub_entities:write,
usage:read,
tokens:mint
ttl_seconds
integer
Required range: 60 <= x <= 3600

Response

Success

data
object
required